[FFmpeg-cvslog] tools: add bisect script

Michael Niedermayer git at videolan.org
Tue Jul 3 13:33:30 CEST 2012


ffmpeg | branch: master | Michael Niedermayer <michaelni at gmx.at> | Mon Jul  2 16:04:30 2012 +0200| [c673a90b0d7c472db36caea0f27dbd2d5f3095ad] | committer: Michael Niedermayer

tools: add bisect script

This script works like "git bisect" except that you can
specify with "bisect need ffmpeg|ffplay|ffserver|ffprobe" which tool(s)
are needed for testing a checkout

Signed-off-by: Michael Niedermayer <michaelni at gmx.at>

> http://git.videolan.org/gitweb.cgi/ffmpeg.git/?a=commit;h=c673a90b0d7c472db36caea0f27dbd2d5f3095ad
---

 tools/bisect |   27 +++++++++++++++++++++++++++
 1 file changed, 27 insertions(+)

diff --git a/tools/bisect b/tools/bisect
new file mode 100755
index 0000000..de43f68
--- /dev/null
+++ b/tools/bisect
@@ -0,0 +1,27 @@
+#!/bin/sh
+
+set -e
+
+case "$1" in
+    need)
+        case $2 in
+            ffmpeg|ffplay|ffprobe|ffserver)
+                echo $2.c >> need
+            ;;
+        esac
+    ;;
+    start|reset)
+        echo . > need
+        git bisect $*
+    ;;
+    skip)
+        git bisect $*
+    ;;
+    good|bad)
+        git bisect $*
+
+        until ls `cat need` > /dev/null 2> /dev/null; do
+            git bisect skip || break
+        done
+    ;;
+esac



More information about the ffmpeg-cvslog mailing list